Send a letter generated from a template
POST
/api/v3/letters/{letterUuid}/actions/send
Send a letter generated from a template
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” letterUuid
required
string
Request Body
Section titled “Request Body ” Media type application/json
Examples
Example Send a letter generated from a template
{ "api": true,
"channel": "an-example-channel",
/** * The integer identifier of your target segment, which is either all or a subset of * your target channel. */ "segment": 0,
"subject": "Who doesn't love a good movie?",
/** * (optional) Override the template's subtitle (email preview text) for this send only. Max 191 chars. * Omit or send null to keep the template's existing subtitle. */ "subtitle": "A new exhibition, two openings, and a closer look at this season's residency.",
/** * (optional) An array of channel identifiers (slugs), to suppress * sending to anyone on "an-example-channel" who is also subscribed to * one or more of the channels passed here. */ "suppress": [ "some-other-channel" ],
/** * (optional) An array of Curations. */ "curations": [ { "excerpt": "Pan's Labyrinth should be number one, we think.", "tags": [ "pans-labyrinth" ], "title": "The 100 Best Movies of the 21st Century", "url": "https://www.nytimes.com/interactive/2025/movies/best-movies-21st-century.html" } ]}Responses
Section titled “ Responses ”Still can’t find what you need? Contact support.